KDE 4.9 PyKDE API Reference

- KDE's Python API

# CSSMediaRule Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CSSRule
Namespace: DOM

## Detailed Description

The CSSMediaRule interface represents a <a href="http://www.w3.org/TR/REC-CSS2/media.html#at-media-rule"> \@media rule in a CSS style sheet. A \@media rule can be used to delimit style rules for specific media types.

## Methods

| __init__ (self)
| __init__ (self, DOM.CSSMediaRule other)
| __init__ (self, DOM.CSSRule other)
DOM.CSSRuleList | cssRules (self)
| deleteRule (self, long index)
long | insertRule (self, DOM.DOMString rule, long index)
DOM.MediaList | media (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSMediaRule | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSRule | other
| ) |  |  |

DOM.CSSRuleList cssRules | ( |  | self ) |

A list of all CSS rules contained within the media block.

deleteRule | ( | self, |
|  | long | index
| ) |  |  |

Used to delete a rule from the media block.

Parameters:

  | index | The index within the media block's rule collection of the rule to remove.

Returns:

\exception DOMException INDEX_SIZE_ERR: Raised if the specified index does not correspond to a rule in the media rule list.

NO_MODIFICATION_ALLOWED_ERR: Raised if this media rule is readonly.

long insertRule | ( | self, |
|  | DOM.DOMString | rule,
|  | long | index
| ) |  |  |

Used to insert a new rule into the media block.

Parameters:

  | rule | The parsable text representing the rule. For rule sets this contains both the selector and the style declaration. For at-rules, this specifies both the at-identifier and the rule content.
  | index | The index within the media block's rule collection of the rule before which to insert the specified rule. If the specified index is equal to the length of the media blocks's rule collection, the rule will be added to the end of the media block.

Returns:
  The index within the media block's rule collection of the newly inserted rule.

\exception DOMException HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at the specified index. e.g. if an \@import rule is inserted after a standard rule set or other at-rule.

INDEX_SIZE_ERR: Raised if the specified index is not a valid insertion point.

NO_MODIFICATION_ALLOWED_ERR: Raised if this media rule is readonly.

\exception CSSException SYNTAX_ERR: Raised if the specified rule has a syntax error and is unparsable.

DOM.MediaList media | ( |  | self ) |

A list of <a href="http://www.w3.org/TR/REC-CSS2/media.html#media-types"> media types for this rule.